package example.codes;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import org.joda.time.LocalDateTime;

import com.silanis.esl.sdk.DelegationEventReport;
import com.silanis.esl.sdk.EslClient;

public class DelegationReport {

	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(MyInfo.API_KEY_SANDBOX, MyInfo.API_URL_SANDBOX);
		
		Date START_DATE = new LocalDateTime(2016, 1, 1, 0, 0).toDate();
		Date END_DATE = LocalDateTime.now().toDate();
		
		com.silanis.esl.sdk.DelegationReport report = eslClient.getReportService().downloadDelegationReport(START_DATE, END_DATE);
		
		Map<String, List<DelegationEventReport>> eventReport = report.getDelegationEventReports();
		
		for (Entry<String, List<DelegationEventReport>> entry : eventReport.entrySet())
		{   
		    for (DelegationEventReport r : entry.getValue()) {
		    	System.out.format("Event User: %s\nEvent Date: %s\nEvent Type: %s\nEvent Description: %s\n\n", r.getEventUser(), r.getEventDate().toString(), r.getEventType(), r.getEventDescription());
		    }
		}
		
	}

}
